server {
    listen 80;
    server_name _; # Listen for any server name

    root /usr/share/nginx/html;
    index index.html index.htm;

    location / {
        try_files $uri $uri/ /index.html;
    }

    # Optional: You can add custom error pages if you create them in your 'static' folder
    # error_page 404 /404.html;
    # location = /404.html {
    #     internal;
    # }
}
